# ECU-SBL-AACE-DataLake

## Overview
ECU-SBL-AACE-DataLake is a Python package designed to facilitate data management and analytics within a data lake environment. This package provides tools for data ingestion, transformation, and querying, making it easier to handle large datasets efficiently.

## Features
- **Data Ingestion**: Easily ingest data from various sources into the data lake.
- **Data Transformation**: Perform data cleaning and transformation operations.
- **Data Querying**: Query data using familiar SQL-like syntax.
- **Scalability**: Handle large datasets with optimized performance.

## Installation
To install ECU-SBL-AACE-DataLake, use pip:
```bash
pip install ecu-sbl-aace-datalake
```

## Usage
Here is a basic example of how to use ECU-SBL-AACE-DataLake:
```python
from ecu.sbl.aace.datalake import getLakehouseId

# get lakehouseId
getLakehouseId (lakehouse_name = 'DaveTheLakehouse', workspace_id = None)

```


## License
This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more information.

## Contact
For any questions or issues, please open an issue on GitHub or contact us at support.sbl@itsalljustdata.com.
